org.keycloak.storage.client

## Class AbstractReadOnlyClientStorageAdapter

- java.lang.Object
- - org.keycloak.storage.client.UnsupportedOperationsClientStorageAdapter
  - - org.keycloak.storage.client.AbstractClientStorageAdapter
    - - org.keycloak.storage.client.AbstractReadOnlyClientStorageAdapter

- All Implemented Interfaces:
    ClientModel, ClientScopeModel, OrderedModel, ProtocolMapperContainerModel, RoleContainerModel, ScopeContainerModel
  Direct Known Subclasses:
    OpenshiftSAClientAdapter

      public abstract class AbstractReadOnlyClientStorageAdapter
      extends AbstractClientStorageAdapter

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.ClientModel

      `ClientModel.ClientCreationEvent, ClientModel.ClientProtocolUpdatedEvent, ClientModel.ClientRemovedEvent, ClientModel.ClientUpdatedEvent, ClientModel.SearchableFields`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.ClientScopeModel

      `ClientScopeModel.ClientScopeRemovedEvent`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.OrderedModel

      `OrderedModel.OrderedModelComparator<OM extends OrderedModel>`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.RoleContainerModel

      `RoleContainerModel.RoleRemovedEvent`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.storage.client.AbstractClientStorageAdapter

      `component, realm, session`

    - ### Fields inherited from interface org.keycloak.models.ClientModel

      `PRIVATE_KEY, PUBLIC_KEY, X509CERTIFICATE`

    - ### Fields inherited from interface org.keycloak.models.ClientScopeModel

      `CONSENT_SCREEN_TEXT, DISPLAY_ON_CONSENT_SCREEN, GUI_ORDER, INCLUDE_IN_TOKEN_SCOPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractReadOnlyClientStorageAdapter(KeycloakSession session, RealmModel realm, ClientStorageProviderModel component)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientScope(ClientScopeModel clientScope, boolean defaultScope)` Add clientScope with this client.
    `void` | `addClientScopes(Set<ClientScopeModel> clientScopes, boolean defaultScope)` Add clientScopes with this client.
    `ProtocolMapperModel` | `addProtocolMapper(ProtocolMapperModel model)`
    `void` | `addRedirectUri(String redirectUri)`
    `void` | `addScopeMapping(RoleModel role)`
    `void` | `addWebOrigin(String webOrigin)`
    `void` | `deleteScopeMapping(RoleModel role)`
    `void` | `removeAttribute(String name)`
    `void` | `removeAuthenticationFlowBindingOverride(String binding)`
    `void` | `removeClientScope(ClientScopeModel clientScope)`
    `void` | `removeProtocolMapper(ProtocolMapperModel mapping)`
    `void` | `removeRedirectUri(String redirectUri)`
    `void` | `removeWebOrigin(String webOrigin)`
    `void` | `setAlwaysDisplayInConsole(boolean alwaysDisplayInConsole)`
    `void` | `setAttribute(String name, String value)`
    `void` | `setAuthenticationFlowBindingOverride(String binding, String flowId)`
    `void` | `setBaseUrl(String url)`
    `void` | `setBearerOnly(boolean only)`
    `void` | `setClientAuthenticatorType(String clientAuthenticatorType)`
    `void` | `setClientId(String clientId)`
    `void` | `setConsentRequired(boolean consentRequired)`
    `void` | `setDescription(String description)`
    `void` | `setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFrontchannelLogout(boolean flag)`
    `void` | `setFullScopeAllowed(boolean value)`
    `void` | `setImplicitFlowEnabled(boolean implicitFlowEnabled)`
    `void` | `setManagementUrl(String url)`
    `void` | `setName(String name)`
    `void` | `setNodeReRegistrationTimeout(int timeout)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setProtocol(String protocol)`
    `void` | `setPublicClient(boolean flag)`
    `void` | `setRedirectUris(Set<String> redirectUris)`
    `void` | `setRegistrationToken(String registrationToken)`
    `void` | `setRootUrl(String url)`
    `void` | `setSecret(String secret)`
    `void` | `setServiceAccountsEnabled(boolean serviceAccountsEnabled)`
    `void` | `setStandardFlowEnabled(boolean standardFlowEnabled)`
    `void` | `setWebOrigins(Set<String> webOrigins)`
    `void` | `updateProtocolMapper(ProtocolMapperModel mapping)`

    - ### Methods inherited from class org.keycloak.storage.client.AbstractClientStorageAdapter

      `getId, getRealm, getRegisteredNodes, isSurrogateAuthRequired, registerNode, setSurrogateAuthRequired, unregisterNode, updateClient`

    - ### Methods inherited from class org.keycloak.storage.client.UnsupportedOperationsClientStorageAdapter

      `addDefaultRole, addRole, addRole, getDefaultRolesStream, getRole, getRolesStream, getRolesStream, removeDefaultRoles, removeRole, searchForRolesStream, updateDefaultRoles`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.ClientModel

      `getAttribute, getAttributes, getAuthenticationFlowBindingOverride, getAuthenticationFlowBindingOverrides, getBaseUrl, getClientAuthenticatorType, getClientId, getClientScopes, getConsentScreenText, getDescription, getDynamicClientScope, getManagementUrl, getName, getNodeReRegistrationTimeout, getNotBefore, getProtocol, getRedirectUris, getRegistrationToken, getRootUrl, getSecret, getWebOrigins, isAlwaysDisplayInConsole, isBearerOnly, isConsentRequired, isDirectAccessGrantsEnabled, isDisplayOnConsentScreen, isEnabled, isFrontchannelLogout, isFullScopeAllowed, isImplicitFlowEnabled, isPublicClient, isServiceAccountsEnabled, isStandardFlowEnabled, validateSecret`

    - ### Methods inherited from interface org.keycloak.models.ClientScopeModel

      `getGuiOrder, isIncludeInTokenScope, setConsentScreenText, setDisplayOnConsentScreen, setGuiOrder, setIncludeInTokenScope`

    - ### Methods inherited from interface org.keycloak.models.ProtocolMapperContainerModel

      `getProtocolMapperById, getProtocolMapperByName, getProtocolMappers, getProtocolMappersStream`

    - ### Methods inherited from interface org.keycloak.models.ScopeContainerModel

      `getRealmScopeMappings, getRealmScopeMappingsStream, getScopeMappings, getScopeMappingsStream, hasScope`

    - ### Methods inherited from interface org.keycloak.models.RoleContainerModel

      `getDefaultRoles, getRoles, getRoles, searchForRoles`

- - ### Constructor Detail

    - #### AbstractReadOnlyClientStorageAdapter

          public AbstractReadOnlyClientStorageAdapter(KeycloakSession session,
                                                      RealmModel realm,
                                                      ClientStorageProviderModel component)

  - ### Method Detail

    - #### setClientId

          public void setClientId(String clientId)

    - #### setName

          public void setName(String name)

    - #### setDescription

          public void setDescription(String description)

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### setAlwaysDisplayInConsole

          public void setAlwaysDisplayInConsole(boolean alwaysDisplayInConsole)

    - #### setWebOrigins

          public void setWebOrigins(Set<String> webOrigins)

    - #### addWebOrigin

          public void addWebOrigin(String webOrigin)

    - #### removeWebOrigin

          public void removeWebOrigin(String webOrigin)

    - #### setRedirectUris

          public void setRedirectUris(Set<String> redirectUris)

    - #### addRedirectUri

          public void addRedirectUri(String redirectUri)

    - #### removeRedirectUri

          public void removeRedirectUri(String redirectUri)

    - #### setManagementUrl

          public void setManagementUrl(String url)

    - #### setRootUrl

          public void setRootUrl(String url)

    - #### setBaseUrl

          public void setBaseUrl(String url)

    - #### setBearerOnly

          public void setBearerOnly(boolean only)

    - #### setNodeReRegistrationTimeout

          public void setNodeReRegistrationTimeout(int timeout)

    - #### setClientAuthenticatorType

          public void setClientAuthenticatorType(String clientAuthenticatorType)

    - #### setSecret

          public void setSecret(String secret)

    - #### setRegistrationToken

          public void setRegistrationToken(String registrationToken)

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### setAttribute

          public void setAttribute(String name,
                                   String value)

    - #### removeAttribute

          public void removeAttribute(String name)

    - #### removeAuthenticationFlowBindingOverride

          public void removeAuthenticationFlowBindingOverride(String binding)

    - #### setAuthenticationFlowBindingOverride

          public void setAuthenticationFlowBindingOverride(String binding,
                                                           String flowId)

    - #### setFrontchannelLogout

          public void setFrontchannelLogout(boolean flag)

    - #### setPublicClient

          public void setPublicClient(boolean flag)

    - #### setConsentRequired

          public void setConsentRequired(boolean consentRequired)

    - #### setStandardFlowEnabled

          public void setStandardFlowEnabled(boolean standardFlowEnabled)

    - #### setImplicitFlowEnabled

          public void setImplicitFlowEnabled(boolean implicitFlowEnabled)

    - #### setDirectAccessGrantsEnabled

          public void setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)

    - #### setServiceAccountsEnabled

          public void setServiceAccountsEnabled(boolean serviceAccountsEnabled)

    - #### addClientScope

          public void addClientScope(ClientScopeModel clientScope,
                                     boolean defaultScope)

      Description copied from interface: `ClientModel`
      Add clientScope with this client. Add it as default scope (if parameter 'defaultScope' is true) or optional scope (if parameter 'defaultScope' is false)

    - #### addClientScopes

          public void addClientScopes(Set<ClientScopeModel> clientScopes,
                                      boolean defaultScope)

      Description copied from interface: `ClientModel`
      Add clientScopes with this client. Add as default scopes (if parameter 'defaultScope' is true) or optional scopes (if parameter 'defaultScope' is false)

    - #### removeClientScope

          public void removeClientScope(ClientScopeModel clientScope)

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### addProtocolMapper

          public ProtocolMapperModel addProtocolMapper(ProtocolMapperModel model)

    - #### removeProtocolMapper

          public void removeProtocolMapper(ProtocolMapperModel mapping)

    - #### updateProtocolMapper

          public void updateProtocolMapper(ProtocolMapperModel mapping)

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(boolean value)

    - #### addScopeMapping

          public void addScopeMapping(RoleModel role)

    - #### deleteScopeMapping

          public void deleteScopeMapping(RoleModel role)

Copyright © 2021 JBoss by Red Hat. All rights reserved.